<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_11ff9bccdcd23cd6bf9" . "d92884ea6cc39" => base64_decode("Li4vY29tbW9uL2Nv" . "bm5lY3QucGhw"), "_2713fc125a2798f62a71e9066f396" . "da7" => base64_decode("Li4vY29tbW9uL2ZpbGVzeXN0ZW0ucG" . "hw"), "_605dec66bbd43fd43b6b2abff58a62" . "ef" => base64_decode("bmF0" . "aXZl"), "_c330b85d625b10fb44" . "6f351cc78b4d05" => base64_decode("c3RyaXBVbmFsbG93ZWR" . "XaW4zMkNoYXJhY3Rlcn" . "M="), "act" . "ion" => base64_decode("YWN0aW9" . "u"), "_4be13506" . "4c4d55c13" . "e6af60c45" . "cb1fda" => base64_decode("Z2FsbGVy" . "eS5wZXJt" . "aXNzaW9u" . "cw=="), "_f705bcbe9557715c78f11a9a576" . "dfda3" => base64_decode("aW1hZ2VzL3BsYWNlaG9sZGVyL3BsYWNlaG9s" . "ZGVyLnBuZw=="), "_4d707fab93be" . "bb00bbe69e815" . "9697c90" => base64_decode(""), "_5717b327" . "f1f9b8b82" . "a4c07e800" . "6c2719" => base64_decode("cG" . "5n"), "_e20b559a1b414495c4" . "3a4fbbf2e5015e" => base64_decode("aHR0cF9z" . "ZW5kX2Zp" . "bGU="), "_af66268e41c563" . "4df3c88007939cb" . "f33" => base64_decode("ZG93bmxv" . "YWQ="), "_20a7dc9160360d28" . "b227a735cd62a71d" => base64_decode("Li4vY29tbW9" . "uL250bG1fc2" . "Vzc2lvbnN0Y" . "XJ0LnBocA=="), "i" . "d" => base64_decode("aW" . "Q="), "_f920f0bf40dcf69c4daab1" . "426e0564d6" => base64_decode("V3JvbmcgcGF" . "yYW1ldGVycw" . "=="), "_23e3a19ac3ae2de10c19a9b0017556f" . "0" => base64_decode("SW1hZ2UgZmlsZSBkb2Vzbid0IGV" . "4aXN0"), "_a62d761f3" . "e831ff9d9d" . "a39f9c26ec" . "ddc" => base64_decode("Li4vY29tbW9uL2NvcmUucG" . "hw"), "prefi" . "x" => base64_decode("cH" . "Jl" . "Zm" . "l4"), "_3ce655ae4a14421967c" . "c023a6e907ed5" => base64_decode("aXNfZmls" . "ZQ=="), "_2e062cfc10183d31f" . "0f0848e59bfd2b3" => base64_decode("Z2V0X2ZpbGVfZXh0ZW" . "5zaW9u"), "_3be5fb55318614a35b11119662d2e1" . "69" => base64_decode("cGxhY2V" . "ob2xkZX" . "I="), "_3d0fad80d1698b9b" . "cb5742bda96db9f8" => base64_decode("Tm8gc" . "mlnaH" . "Rz"));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_20a7dc9160360d28b22" . "7a735cd62a71d"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_a62d761f3e831ff9d9da39" . "f9c26ecddc"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_11ff9bccdcd23cd6bf9d9288" . "4ea6cc39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2713fc125a279" . "8f62a71e9066f3" . "96da7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["pre" . "fix"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["act" . "ion"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_f920f0bf40dcf69c4daab" . "1426e0564d6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_605dec66bbd43fd43b6b2abff" . "58a62ef"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_f705bcbe9557715c78f11a9a576d" . "fda3"];
$placeholder_title = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_3be5fb55318614" . "a35b11119662d2e" . "169"];
$placeholder_type = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_5717b327f1f9b8b82a4" . "c07e8006c2719"];
if ($prefix == $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_605dec66bbd43fd43b6b2abff58a" . "62ef"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4be135064c4" . "d55c13e6af60" . "c45cb1fda"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_3d0fad80d1698b9bcb5742bda96d" . "b9f8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_3ce655ae4a14421967cc023a6e907e" . "d5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_23e3a19ac3ae2de10c19a9b00" . "17556f0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_2e062cfc10183d31f0f0848" . "e59bfd2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4d707fab93bebb" . "00bbe69e8159697" . "c90"];
$full_name = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_c330b85d625b10fb446f3" . "51cc78b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e20b559a1b4" . "14495c43a4fb" . "bf2e5015e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_af66268e41" . "c5634df3c88" . "007939cbf33"] ? DOWNLOAD : INLINE);